﻿namespace ffxiah_wfa
{
    using MySql.Data.MySqlClient;
    using System;
    using System.Collections;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Configuration;
    using System.Drawing;
    using System.Windows.Forms;
    using System.Runtime.CompilerServices;
    using Microsoft.VisualBasic;
    using Microsoft.VisualBasic.CompilerServices;

    public class frmMain : Form
    {
        private ffxiah ah = new ffxiah();
        private Logger log = new Logger();
        private Label blbDatabase;
        private Button btnAddTo;
        private Button btnClean;
        private Button btnEnable;
        private Button btnExit;
        private Button btnHelp;
        private Button btnItems;
        private Button btnSimulate;
        private ComboBox cbServers;
        private ComboBox cbTypes;
        private DataGridViewTextBoxColumn clmAdjRate;
        private DataGridViewTextBoxColumn clmBuy;
        private DataGridViewTextBoxColumn clmInventory;
        private DataGridViewTextBoxColumn clmItemId;
        private DataGridViewTextBoxColumn clmName;
        private DataGridViewTextBoxColumn clmSale;
        private DataGridViewTextBoxColumn clmSalePrice;
        private IContainer components = null;
        private DataGridView dgvItems;
        private GroupBox gbDatabase;
        private GroupBox gbFunctions;
        private GroupBox gbItems;
        private GroupBox groupBox1;
        private Label lblHostname;
        private Label lblInterations;
        private Label lblMinutes;
        private Label lblPassword;
        private Label lblRetry;
        private Label lblServers;
        private Label lblSimu1;
        private Label lblTypes;
        private Label lblUsername;
        private NumericUpDown nudInterations;
        private NumericUpDown nudRetries;
        private NumericUpDown nudSimulate;
        private Random rand = new Random();
        private string server;
        private int timeLeft = 0;
        private Timer tmrSimulate;
        private ToolTip toolAddTo;
        private ToolTip toolClean;
        private ToolTip toolExit;
        private ToolTip toolGetItems;
        private ToolTip toolHelp;
        private ToolTip toolInterations;
        private ToolTip toolRetry;
        private ToolTip toolSimulate;
        private int totalTime = 0;
        private TextBox txtDatabase;
        private TextBox txtHostname;
        private TextBox txtPassword;
        private TextBox txtTimer;
        private TextBox txtUsername;
        private string type;
        private MySqlConnection connection;
        private bool error = false;
        private string errorMsg;
        private string sqlText;

        public frmMain()
        {
            this.InitializeComponent();
            this.cbTypes.SelectedIndex = 0;
            this.cbServers.SelectedIndex = 0;
            this.txtHostname.Text = ConfigurationManager.AppSettings.Get("hostname");
            this.txtDatabase.Text = ConfigurationManager.AppSettings.Get("database");
            this.txtUsername.Text = ConfigurationManager.AppSettings.Get("username");
            this.txtPassword.Text = ConfigurationManager.AppSettings.Get("password");
        }

        public bool Connect()
        {
            string connectionString = "SERVER=" + ConfigurationManager.AppSettings.Get("hostname") + ";DATABASE=" + ConfigurationManager.AppSettings.Get("database") + ";UID=" + ConfigurationManager.AppSettings.Get("username") + ";PASSWORD=" + ConfigurationManager.AppSettings.Get("password") + ";";
            connection = new MySqlConnection(connectionString);
            log.WriteLine("Connecting to MySQL server...");
            try
            {
                connection.Open();
                log.WriteLine("Connected");
                return true;
            }
            catch
            {
                this.error = true;
                this.errorMsg = "Unable to connect to the server. Verify the server is running and your credentials are correct.";
                return false;
            }
        }

        public bool Disconnect()
        {
            try
            {
                connection.Close();
                return true;
            }
            catch
            {
                this.error = true;
                this.errorMsg = "Unable to disconnect from the server.";
                return false;
            }
        }

        private int CreateSQL()
        {
            if (this.type == "999")
            {
                this.sqlText = "SELECT itemid, BaseSell, stackSize FROM item_basic WHERE aH > 0 AND aH < 63";
            }
            else if (this.type == "255")
            {
                this.sqlText = "SELECT * FROM item_basic WHERE aH > 0 AND aH < 15";
            }
            else if (this.type == "246")
            {
                this.sqlText = "SELECT * FROM item_basic WHERE aH=48 OR aH=47 OR aH=15 OR aH=62";
            }
            else if (this.type == "254")
            {
                this.sqlText = "SELECT * FROM item_basic WHERE aH > 15 AND aH < 27";
            }
            else if (this.type == "253")
            {
                this.sqlText = "SELECT * FROM item_basic WHERE aH > 27 AND aH < 33 OR aH=60";
            }
            else if (this.type == "250")
            {
                this.sqlText = "SELECT * FROM item_basic WHERE aH > 37 AND aH < 45";
            }
            else if (this.type == "249")
            {
                this.sqlText = "SELECT * FROM item_basic WHERE aH > 50 AND aH < 60";
            }
            else if (this.type == "245")
            {
                this.sqlText = "SELECT * FROM item_basic WHERE aH > 51 AND aH < 59";
            }
            else if (this.type == "247")
            {
                this.sqlText = "SELECT * FROM item_basic WHERE aH=46 OR aH=50 OR aH=36 OR aH=49 OR aH=37 OR aH=61";
            }
            else
            {
                this.sqlText = "SELECT * FROM item_basic WHERE aH=" + this.type;
            }
            return 1;
        }

        public void dbInfo(string host, string user, string pass, string database)
        {
            this.txtHostname.Text = host;
            this.txtDatabase.Text = database;
            this.txtUsername.Text = user;
            this.txtPassword.Text = pass;
        }

        public bool Delete(string sqlText)
        {
            MySqlDataReader reader = new MySqlCommand(sqlText, this.connection).ExecuteReader();
            reader.Close();
            return false;
        }

        public bool DeleteOld(string sqlText)
        {
            MySqlDataReader reader = new MySqlCommand(sqlText, this.connection).ExecuteReader();
            string str = "DELETE FROM `auction_house` WHERE ";
            int length = str.Length;
            while (reader.Read())
            {
                str = str + "id='" + reader["id"].ToString() + "' OR ";
            }
            str = str.Remove(str.Length - 3, 3);
            reader.Close();
            if (str.Length > length)
            {
                return this.Delete(str);
            }
            return false;
        }

        public Dictionary<string, Dictionary<string, string>> FindItems()
        {
            Dictionary<string, Dictionary<string, string>> dictionary = new Dictionary<string, Dictionary<string, string>>();
            this.CreateSQL();
            MySqlDataReader reader = new MySqlCommand(sqlText, this.connection).ExecuteReader();
            while (reader.Read())
            {
                log.WriteLine("Finding item " + reader["itemid"].ToString() + "...");
                Dictionary<string, string> dictionary3 = new Dictionary<string, string>();
                dictionary3.Add("basesell", reader["BaseSell"].ToString());
                dictionary3.Add("stackSize", reader["stackSize"].ToString());
                Dictionary<string, string> dictionary2 = dictionary3;
                dictionary.Add(reader["itemid"].ToString(), dictionary2);
            }
            reader.Close();
            return dictionary;
        }

        public string getStock(string itemid, string stack)
        {
            string cmdText = "";
            if (stack == "1")
            {
                cmdText = "SELECT COUNT(itemid) as c FROM `auction_house` WHERE stack=1 AND sell_date=0 AND itemid=" + itemid;
            }
            else
            {
                cmdText = "SELECT COUNT(itemid) as c FROM `auction_house` WHERE stack=0 AND sell_date=0 AND itemid=" + itemid;
            }
            string str2 = "";
            MySqlDataReader reader = new MySqlCommand(cmdText, connection).ExecuteReader();
            while (reader.Read())
            {
                str2 = reader["c"].ToString();
            }
            reader.Close();
            return str2;
        }

        public bool Insert(string sqlText, int i)
        {
            MySqlCommand command = new MySqlCommand();
            command.Connection = connection;
            for (int j = 0; j < i; j++)
            {
                command.CommandText = sqlText;
                command.ExecuteNonQuery();
            }
            return false;
        }

        public string ErrorMessage
        {
            get
            {
                return this.errorMsg;
            }
        }

        public bool isError
        {
            get
            {
                return this.error;
            }
        }

        public string Type
        {
            get
            {
                return this.type;
            }
            set
            {
                this.type = value;
            }
        }

        //public string AddDropBoxMoney(int playerid, long price)
        //{
        //    try
        //    {
        //        int num = this.getDropBoxMaxSlot(playerid);
        //        string cmdText = "INSERT INTO delivery_box (charid,box,slot,itemid,itemsubid,quantity,senderid,sender) VALUES ({charid},0,{slot},65535,656,{quantity},0,'{sender}');";
        //        cmdText = cmdText.Replace("{charid}", Conversions.ToString(playerid)).Replace("{slot}", Conversions.ToString((int)(num + 1))).Replace("{quantity}", Conversions.ToString(price)).Replace("{sender}", "Auctioneer");
        //        MySqlCommand command = new MySqlCommand(cmdText, connection);
        //        command.ExecuteNonQuery();
        //        command.Dispose();
        //    }
        //    catch (Exception exception1)
        //    {
        //        ProjectData.SetProjectError(exception1);
        //        Exception exception = exception1;
        //        ProjectData.ClearProjectError();
        //        return "ERROR";
        //    }
        //    return "";
        //}

        //public object BuyItem(int id, long price, int seller)
        //{
        //    string cmdText = "UPDATE auction_house SET buyer_name = '{buyer_name}', sale = {sale}, sell_date = {sell_date} WHERE id = {id};";
        //    DateTime time = new DateTime(0x7b2, 1, 1, 0, 0, 0);
        //    TimeSpan span = (TimeSpan)(DateTime.UtcNow - time);
        //    cmdText = cmdText.Replace("{buyer_name}", "Anonymous").Replace("{sale}", Conversions.ToString(price)).Replace("{sell_date}", Conversions.ToString((int)Math.Round(span.TotalSeconds))).Replace("{id}", Conversions.ToString(id));
        //    if (this.AddDropBoxMoney(seller, price) == "")
        //    {
        //        MySqlCommand command = new MySqlCommand(cmdText, connection);
        //        command.ExecuteNonQuery();
        //        command.Dispose();
        //    }
        //    return "";
        //}

        public object DumpAuctionHouse()
        {
            string cmdText = "DELETE FROM auction_house";
            MySqlCommand command = new MySqlCommand(cmdText, connection);
            command.ExecuteNonQuery();
            command.Dispose();
            return "";
        }

        public List<AuctionItem> getAllBuyRows()
        {
            List<AuctionItem> list2 = new List<AuctionItem>();
            MySqlCommand command = new MySqlCommand(_getBuyingItems, connection);
            MySqlDataReader reader = command.ExecuteReader();
            while (reader.Read())
            {
                AuctionItem item = new AuctionItem();
                try
                {
                    AuctionItem item2 = item;
                    item2.id = Conversions.ToInteger(reader["id"]);
                    item2.itemid = Conversions.ToInteger(reader["itemid"]);
                    item2.price = Conversions.ToLong(reader["price"]);
                    item2.seller = Conversions.ToInteger(reader["seller"]);
                    item2.seller_name = Conversions.ToString(reader["seller_name"]);
                    item2 = null;
                    list2.Add(item);
                    continue;
                }
                catch (Exception exception1)
                {
                    ProjectData.SetProjectError(exception1);
                    Exception exception = exception1;
                    ProjectData.ClearProjectError();
                    continue;
                }
            }
            reader.Close();
            command.Dispose();
            return list2;
        }

        //public int getDropBoxMaxSlot(object playerid)
        //{
        //    string cmdText = "Select Max(delivery_box.slot) As a From delivery_box Where delivery_box.charid = {charid} Group By delivery_box.charid;";
        //    cmdText = cmdText.Replace("{charid}", Conversions.ToString(playerid));
        //    MySqlCommand command = new MySqlCommand(cmdText, connection);
        //    object objectValue = RuntimeHelpers.GetObjectValue(command.ExecuteScalar());
        //    if (Information.IsNothing(RuntimeHelpers.GetObjectValue(objectValue)))
        //    {
        //        objectValue = 10;
        //    }
        //    command.Dispose();
        //    return Conversions.ToInteger(objectValue);
        //}

        private static string _getBuyingItems
        {
            get
            {
                string str2 = "Select auction_house.* From auction_house Where auction_house.seller <> 0 AND sell_date = 0";
                return str2;
            }
        }

        public class AuctionItem
        {
            [CompilerGenerated]
            private int _id;
            [CompilerGenerated]
            private int _itemid;
            [CompilerGenerated]
            private long _price;
            [CompilerGenerated]
            private int _seller;
            [CompilerGenerated]
            private string _seller_name;

            public int id
            {
                get
                {
                    return this._id;
                }
                set
                {
                    this._id = value;
                }
            }

            public int itemid
            {
                get
                {
                    return this._itemid;
                }
                set
                {
                    this._itemid = value;
                }
            }

            public long price
            {
                get
                {
                    return this._price;
                }
                set
                {
                    this._price = value;
                }
            }

            public int seller
            {
                get
                {
                    return this._seller;
                }
                set
                {
                    this._seller = value;
                }
            }

            public string seller_name
            {
                get
                {
                    return this._seller_name;
                }
                set
                {
                    this._seller_name = value;
                }
            }
        }

        private void btnAddTo_Click(object sender, EventArgs e)
        {
            Connect();
            log.WriteLine("Adding Additional Items");
            int inter = this.ah.ToInt(this.nudInterations.Value.ToString());
            int outer = this.ah.ToInt(this.nudRetries.Value.ToString());
            foreach (DataGridViewRow row in (IEnumerable) this.dgvItems.Rows)
            {
                if (row.Cells["clmItemID"].Value == null)
                {
                    break;
                }
                string date = this.ah.Date;
                string str2 = row.Cells["clmItemID"].Value.ToString();
                string s = row.Cells["clmSale"].Value.ToString();
                string str4 = this.ah.CheckStack(row.Cells["clmName"].Value.ToString());
                string str5 = row.Cells["clmSalePrice"].Value.ToString();
                double rate = this.ah.ToDouble(row.Cells["clmAdjRate"].Value.ToString());
                string sqlText = "INSERT INTO `auction_house` (itemid, stack, seller_name, date, price) VALUES ('" + str2 + "','" + str4 + "','Auctioneer','" + date + "','" + str5 + "')";
                this.Insert(sqlText, this.ah.ToInt(s));
                row.Cells["clmInventory"].Value = (this.ah.ToInt(s) + this.ah.ToInt(row.Cells["clmInventory"].Value.ToString())).ToString();
                row.Cells["clmSale"].Value = this.ah.getInventory(rate, outer, inter, this.rand);
                row.Cells["clmBuy"].Value = this.ah.getInventory(rate + 25.0, outer, inter, this.rand);
            }
            Disconnect();
        }

        private void btnClean_Click(object sender, EventArgs e)
        {
            Connect();
            log.WriteLine("Cleaning Auction House");
            int inter = this.ah.ToInt(this.nudInterations.Value.ToString());
            int outer = this.ah.ToInt(this.nudRetries.Value.ToString());
            foreach (DataGridViewRow row in (IEnumerable) this.dgvItems.Rows)
            {
                if (row.Cells["clmItemID"].Value == null)
                {
                    break;
                }
                string date = this.ah.Date;
                string str2 = row.Cells["clmItemID"].Value.ToString();
                string s = row.Cells["clmSale"].Value.ToString();
                string str4 = this.ah.CheckStack(row.Cells["clmName"].Value.ToString());
                string str5 = row.Cells["clmSalePrice"].Value.ToString();
                string sqlText = "DELETE FROM `auction_house` WHERE itemid=" + str2 + " AND stack=" + str4;
                double rate = this.ah.ToDouble(row.Cells["clmAdjRate"].Value.ToString());
                row.Cells["clmInventory"].Value = s;
                row.Cells["clmSale"].Value = this.ah.getInventory(rate, outer, inter, this.rand);
                row.Cells["clmBuy"].Value = this.ah.getInventory(rate + 25.0, outer, inter, this.rand);
                if (this.Delete(sqlText))
                {
                    sqlText = "INSERT INTO `auction_house` (itemid, stack, seller_name, date, price, buyer_name, sale, sell_date) VALUES ('" + str2 + "','" + str4 + "','FFXIAH','" + date + "','" + str5 + "','FFXIAH','" + str5 + "','" + date + "')";
                    this.Insert(sqlText, 1);
                    sqlText = "INSERT INTO `auction_house` (itemid, stack, seller_name, date, price) VALUES ('" + str2 + "','" + str4 + "','FFXIAH','" + date + "','" + str5 + "')";
                    this.Insert(sqlText, this.ah.ToInt(s));
                }
            }
            Disconnect();
        }

        private void btnEnable_Click(object sender, EventArgs e)
        {
            log.WriteLine("Simulation Enabled");
            if (this.btnEnable.Text == "Enable")
            {
                this.btnEnable.Text = "Disable";
                this.lblMinutes.Text = "Next Simulation: ";
                this.nudSimulate.Visible = false;
                this.txtTimer.Visible = true;
                this.btnClean.Enabled = false;
                this.btnAddTo.Enabled = false;
                this.btnItems.Enabled = false;
                this.btnSimulate.Enabled = false;
                this.cbServers.Enabled = false;
                this.cbTypes.Enabled = false;
                this.tmrSimulate.Enabled = true;
                this.timeLeft = 0;
                this.totalTime = this.ah.ToInt(this.nudSimulate.Value.ToString()) * 0xea60;
            }
            else
            {
                this.btnEnable.Text = "Enable";
                this.lblMinutes.Text = "Minutes: ";
                this.txtTimer.Visible = false;
                this.nudSimulate.Visible = true;
                this.btnClean.Enabled = true;
                this.btnAddTo.Enabled = true;
                this.btnItems.Enabled = true;
                this.btnSimulate.Enabled = true;
                this.cbServers.Enabled = true;
                this.cbTypes.Enabled = true;
                this.tmrSimulate.Enabled = false;
                this.txtTimer.Text = "";
            }
        }

        private void btnExit_Click(object sender, EventArgs e)
        {
            log.WriteLine("Closing Application");
            base.Close();
        }

        private void btnHelp_Click(object sender, EventArgs e)
        {
            string text = "DSP AH Loader -- Prices Based on FFXIAH\n\n-- Functions --\n'Help' - Displays the current message.\n'Exit' - Exits the program.\nYou can hover over buttons to get a help message.";
            MessageBox.Show(text);
        }

        private void btnItems_Click(object sender, EventArgs e)
        {
            Connect();
            log.WriteLine("Getting items...");
            this.dgvItems.Enabled = true;
            this.dgvItems.Rows.Clear();
            this.server = this.ah.getServerID(this.cbServers.SelectedItem.ToString());
            this.dbInfo(this.txtHostname.Text, this.txtUsername.Text, this.txtPassword.Text, this.txtDatabase.Text);
            this.Type = this.ah.getTypeID(this.cbTypes.SelectedItem.ToString());
            Dictionary<string, Dictionary<string, string>> dictionary = this.FindItems();
            if (this.isError)
            {
                MessageBox.Show(this.ErrorMessage);
            }
            else
            {
                List<string[]> list = new List<string[]>();
                int inter = this.ah.ToInt(this.nudInterations.Value.ToString());
                int outer = this.ah.ToInt(this.nudRetries.Value.ToString());
                foreach (string str in dictionary.Keys)
                {
                    int num4;
                    string str2 = this.ah.getName(str);
                    string rate = this.ah.getRate(str, this.server, "0");
                    string str4 = this.ah.getPrice(str, this.server, "0");
                    switch (str4)
                    {
                        case "0":
                        case "1":
                            str4 = "1000000";
                            break;
                    }
                    double num3 = this.ah.getAdjustedRate(rate);
                    list.Add(new string[] { str, str2, num3.ToString(), this.getStock(str, "0"), this.ah.getInventory(num3 + 25.0, outer, inter, this.rand), this.ah.getInventory(num3, outer, inter, this.rand), str4 });
                    int.TryParse(dictionary[str]["stackSize"], out num4);
                    if (num4 > 1)
                    {
                        rate = this.ah.getRate(str, this.server, "1");
                        num3 = this.ah.getAdjustedRate(rate);
                        str4 = this.ah.getPrice(str, this.server, "1");
                        switch (str4)
                        {
                            case "0":
                            case "1":
                                str4 = "1000000";
                                break;
                        }
                        list.Add(new string[] { str, str2 + " (stack)", num3.ToString(), this.getStock(str, "1"), this.ah.getInventory(num3 + 25.0, outer, inter, this.rand), this.ah.getInventory(num3, outer, inter, this.rand), str4 });
                    }
                }
                foreach (string[] strArray in list)
                {
                    this.dgvItems.Rows.Add(strArray);
                }
                this.dgvItems.Visible = true;
                this.btnClean.Visible = true;
                this.btnAddTo.Visible = true;
                this.btnSimulate.Visible = true;
                this.lblSimu1.Visible = true;
                this.lblMinutes.Visible = true;
                this.nudSimulate.Visible = true;
                this.btnEnable.Visible = true;
                this.txtDatabase.ReadOnly = true;
                this.txtHostname.ReadOnly = true;
                this.txtPassword.ReadOnly = true;
                this.txtUsername.ReadOnly = true;
                System.Configuration.Configuration configuration = ConfigurationManager.OpenExeConfiguration(ConfigurationUserLevel.None);
                configuration.AppSettings.Settings["hostname"].Value = this.txtHostname.Text;
                configuration.AppSettings.Settings["database"].Value = this.txtDatabase.Text;
                configuration.AppSettings.Settings["username"].Value = this.txtUsername.Text;
                configuration.AppSettings.Settings["password"].Value = this.txtPassword.Text;
                configuration.Save(ConfigurationSaveMode.Modified);
                Disconnect();
            }
        }

        private void btnSimulate_Click(object sender, EventArgs e)
        {
            Connect();
            log.WriteLine("Simulating grid data...");
            DateTime startTime = DateTime.Now;
            int inter = this.ah.ToInt(this.nudInterations.Value.ToString());
            int outer = this.ah.ToInt(this.nudRetries.Value.ToString());
            foreach (DataGridViewRow row in (IEnumerable)this.dgvItems.Rows)
            {
                if (row.Cells["clmItemID"].Value == null)
                {
                    break;
                }
                string date = this.ah.Date;
                string str2 = row.Cells["clmItemID"].Value.ToString();
                string s = row.Cells["clmSale"].Value.ToString();
                string str4 = this.ah.CheckStack(row.Cells["clmName"].Value.ToString());
                string str5 = row.Cells["clmSalePrice"].Value.ToString();
                string str6 = row.Cells["clmBuy"].Value.ToString();
                string str7 = row.Cells["clmInventory"].Value.ToString();
                double rate = this.ah.ToDouble(row.Cells["clmAdjRate"].Value.ToString());
                int num4 = this.ah.ToInt(str7) - this.ah.ToInt(str6);
                string str8 = str6;
                if (num4 <= 0)
                {
                    num4 = 0;
                    str8 = str7;
                }
                long listing = Conversions.ToLong(str5);
                List<AuctionItem>.Enumerator enumerator;
                List<AuctionItem> list = getAllBuyRows();
                enumerator = list.GetEnumerator();
                while (enumerator.MoveNext())
                {
                    AuctionItem current = enumerator.Current;
                    if (current.itemid == Conversions.ToInteger(str2))
                        if (current.price <= listing)
                        {
                            log.WriteLine("Buying item " + current.id + "(" + current.itemid + ") for " + current.price + " gil from " + current.seller + "...");
                            //BuyItem(current.id, current.price, current.seller);
                            string cmdText = "UPDATE auction_house SET buyer_name = '{buyer_name}', sale = {sale}, sell_date = {sell_date} WHERE id = {id};";
                            DateTime time = new DateTime(0x7b2, 1, 1, 0, 0, 0);
                            TimeSpan span = (TimeSpan)(DateTime.UtcNow - time);
                            cmdText = cmdText.Replace("{buyer_name}", "Auctioneer").Replace("{sale}", Conversions.ToString(current.price)).Replace("{sell_date}", Conversions.ToString((int)Math.Round(span.TotalSeconds))).Replace("{id}", Conversions.ToString(current.id));
                            MySqlCommand command = new MySqlCommand(cmdText, connection);
                            command.ExecuteNonQuery();
                            command.Dispose();
                        }
                }
                enumerator.Dispose();
                string sqlText = "SELECT id FROM `auction_house` WHERE itemid='" + str2 + "' AND stack='" + str4 + "' AND seller =0 AND sale=0 ORDER BY date ASC LIMIT " + str8;
                this.DeleteOld(sqlText);
                sqlText = "INSERT INTO `auction_house` (itemid, stack, seller_name, date, price) VALUES ('" + str2 + "','" + str4 + "','Auctioneer','" + date + "','" + str5 + "')";
                this.Insert(sqlText, this.ah.ToInt(s));
                row.Cells["clmInventory"].Value = (this.ah.ToInt(s) + num4).ToString();
                row.Cells["clmSale"].Value = this.ah.getInventory(rate, outer, inter, this.rand);
                row.Cells["clmBuy"].Value = this.ah.getInventory(rate + 25.0, outer, inter, this.rand);
            }
            DateTime stopTime = DateTime.Now;
            TimeSpan elapsedTime = stopTime - startTime;
            log.WriteLine("Simulation Complete: " + elapsedTime.TotalSeconds + " Seconds...");
            Disconnect();
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing && (this.components != null))
            {
                this.components.Dispose();
            }
            base.Dispose(disposing);
        }

        private void InitializeComponent()
        {
            this.components = new Container();
            ComponentResourceManager manager = new ComponentResourceManager(typeof(frmMain));
            DataGridViewCellStyle style = new DataGridViewCellStyle();
            DataGridViewCellStyle style2 = new DataGridViewCellStyle();
            DataGridViewCellStyle style3 = new DataGridViewCellStyle();
            this.gbDatabase = new GroupBox();
            this.txtPassword = new TextBox();
            this.txtUsername = new TextBox();
            this.lblPassword = new Label();
            this.txtDatabase = new TextBox();
            this.blbDatabase = new Label();
            this.txtHostname = new TextBox();
            this.lblUsername = new Label();
            this.lblHostname = new Label();
            this.groupBox1 = new GroupBox();
            this.nudRetries = new NumericUpDown();
            this.nudInterations = new NumericUpDown();
            this.lblRetry = new Label();
            this.lblInterations = new Label();
            this.cbTypes = new ComboBox();
            this.lblTypes = new Label();
            this.cbServers = new ComboBox();
            this.lblServers = new Label();
            this.btnItems = new Button();
            this.gbItems = new GroupBox();
            this.dgvItems = new DataGridView();
            this.clmItemId = new DataGridViewTextBoxColumn();
            this.clmName = new DataGridViewTextBoxColumn();
            this.clmAdjRate = new DataGridViewTextBoxColumn();
            this.clmInventory = new DataGridViewTextBoxColumn();
            this.clmBuy = new DataGridViewTextBoxColumn();
            this.clmSale = new DataGridViewTextBoxColumn();
            this.clmSalePrice = new DataGridViewTextBoxColumn();
            this.gbFunctions = new GroupBox();
            this.txtTimer = new TextBox();
            this.btnEnable = new Button();
            this.lblMinutes = new Label();
            this.nudSimulate = new NumericUpDown();
            this.lblSimu1 = new Label();
            this.btnSimulate = new Button();
            this.btnAddTo = new Button();
            this.btnHelp = new Button();
            this.btnClean = new Button();
            this.btnExit = new Button();
            this.toolGetItems = new ToolTip(this.components);
            this.toolHelp = new ToolTip(this.components);
            this.toolExit = new ToolTip(this.components);
            this.toolAddTo = new ToolTip(this.components);
            this.toolClean = new ToolTip(this.components);
            this.toolSimulate = new ToolTip(this.components);
            this.toolInterations = new ToolTip(this.components);
            this.toolRetry = new ToolTip(this.components);
            this.tmrSimulate = new Timer(this.components);
            this.gbDatabase.SuspendLayout();
            this.groupBox1.SuspendLayout();
            this.nudRetries.BeginInit();
            this.nudInterations.BeginInit();
            this.gbItems.SuspendLayout();
            ((ISupportInitialize) this.dgvItems).BeginInit();
            this.gbFunctions.SuspendLayout();
            this.nudSimulate.BeginInit();
            base.SuspendLayout();
            this.gbDatabase.Controls.Add(this.txtPassword);
            this.gbDatabase.Controls.Add(this.txtUsername);
            this.gbDatabase.Controls.Add(this.lblPassword);
            this.gbDatabase.Controls.Add(this.txtDatabase);
            this.gbDatabase.Controls.Add(this.blbDatabase);
            this.gbDatabase.Controls.Add(this.txtHostname);
            this.gbDatabase.Controls.Add(this.lblUsername);
            this.gbDatabase.Controls.Add(this.lblHostname);
            this.gbDatabase.Font = new Font("Microsoft Sans Serif", 12f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.gbDatabase.Location = new Point(12, 12);
            this.gbDatabase.Name = "gbDatabase";
            this.gbDatabase.Size = new Size(0xf7, 0x9b);
            this.gbDatabase.TabIndex = 9;
            this.gbDatabase.TabStop = false;
            this.gbDatabase.Text = "Database Settings";
            this.txtPassword.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.txtPassword.Location = new Point(0x4d, 0x7d);
            this.txtPassword.Name = "txtPassword";
            this.txtPassword.Size = new Size(0xa3, 0x15);
            this.txtPassword.TabIndex = 7;
            this.txtPassword.Text = "dspdb";
            this.txtPassword.UseSystemPasswordChar = true;
            this.txtUsername.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.txtUsername.Location = new Point(0x4d, 0x5d);
            this.txtUsername.Name = "txtUsername";
            this.txtUsername.Size = new Size(0xa3, 0x15);
            this.txtUsername.TabIndex = 6;
            this.txtUsername.Text = "root";
            this.lblPassword.AutoSize = true;
            this.lblPassword.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.lblPassword.Location = new Point(10, 0x80);
            this.lblPassword.Name = "lblPassword";
            this.lblPassword.Size = new Size(0x40, 15);
            this.lblPassword.TabIndex = 4;
            this.lblPassword.Text = "Password:";
            this.txtDatabase.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.txtDatabase.Location = new Point(0x4d, 0x3d);
            this.txtDatabase.Name = "txtDatabase";
            this.txtDatabase.Size = new Size(0xa3, 0x15);
            this.txtDatabase.TabIndex = 5;
            this.txtDatabase.Text = "dspdb";
            this.blbDatabase.AutoSize = true;
            this.blbDatabase.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.blbDatabase.Location = new Point(10, 0x40);
            this.blbDatabase.Name = "blbDatabase";
            this.blbDatabase.Size = new Size(0x3f, 15);
            this.blbDatabase.TabIndex = 2;
            this.blbDatabase.Text = "Database:";
            this.blbDatabase.TextAlign = ContentAlignment.MiddleRight;
            this.txtHostname.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.txtHostname.Location = new Point(0x4d, 0x1d);
            this.txtHostname.Name = "txtHostname";
            this.txtHostname.Size = new Size(0xa3, 0x15);
            this.txtHostname.TabIndex = 1;
            this.txtHostname.Text = "127.0.0.1";
            this.lblUsername.AutoSize = true;
            this.lblUsername.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.lblUsername.Location = new Point(6, 0x60);
            this.lblUsername.Name = "lblUsername";
            this.lblUsername.Size = new Size(0x47, 15);
            this.lblUsername.TabIndex = 3;
            this.lblUsername.Text = "Username: ";
            this.lblUsername.TextAlign = ContentAlignment.MiddleRight;
            this.lblHostname.AutoSize = true;
            this.lblHostname.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.lblHostname.Location = new Point(6, 0x20);
            this.lblHostname.Name = "lblHostname";
            this.lblHostname.Size = new Size(0x43, 15);
            this.lblHostname.TabIndex = 0;
            this.lblHostname.Text = "Hostname:";
            this.lblHostname.TextAlign = ContentAlignment.MiddleRight;
            this.groupBox1.Controls.Add(this.nudRetries);
            this.groupBox1.Controls.Add(this.nudInterations);
            this.groupBox1.Controls.Add(this.lblRetry);
            this.groupBox1.Controls.Add(this.lblInterations);
            this.groupBox1.Controls.Add(this.cbTypes);
            this.groupBox1.Controls.Add(this.lblTypes);
            this.groupBox1.Controls.Add(this.cbServers);
            this.groupBox1.Controls.Add(this.lblServers);
            this.groupBox1.Font = new Font("Microsoft Sans Serif", 12f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.groupBox1.Location = new Point(0x109, 12);
            this.groupBox1.Name = "groupBox1";
            this.groupBox1.Size = new Size(0xeb, 0x9b);
            this.groupBox1.TabIndex = 11;
            this.groupBox1.TabStop = false;
            this.groupBox1.Text = "Item Settings";
            this.nudRetries.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.nudRetries.Location = new Point(0x4c, 0x7e);
            int[] bits = new int[4];
            bits[0] = 0x2710;
            this.nudRetries.Maximum = new decimal(bits);
            bits = new int[4];
            bits[0] = 1;
            this.nudRetries.Minimum = new decimal(bits);
            this.nudRetries.Name = "nudRetries";
            this.nudRetries.Size = new Size(0x99, 0x15);
            this.nudRetries.TabIndex = 9;
            this.nudRetries.TextAlign = HorizontalAlignment.Right;
            bits = new int[4];
            bits[0] = 5;
            this.nudRetries.Value = new decimal(bits);
            this.nudInterations.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.nudInterations.Location = new Point(0x4c, 0x5e);
            bits = new int[4];
            bits[0] = 0xf4240;
            this.nudInterations.Maximum = new decimal(bits);
            bits = new int[4];
            bits[0] = 1;
            this.nudInterations.Minimum = new decimal(bits);
            this.nudInterations.Name = "nudInterations";
            this.nudInterations.Size = new Size(0x99, 0x15);
            this.nudInterations.TabIndex = 8;
            this.nudInterations.TextAlign = HorizontalAlignment.Right;
            bits = new int[4];
            bits[0] = 0x5dc;
            this.nudInterations.Value = new decimal(bits);
            this.lblRetry.AutoSize = true;
            this.lblRetry.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.lblRetry.Location = new Point(0x18, 0x80);
            this.lblRetry.Name = "lblRetry";
            this.lblRetry.Size = new Size(0x31, 15);
            this.lblRetry.TabIndex = 7;
            this.lblRetry.Text = "Retries:";
            this.toolRetry.SetToolTip(this.lblRetry, "'Retries' increases the amount of times the 'Iterations' \r\nloop is gone through.  The best 'Restock' value of the \r\nretries will be used as the 'Restock' value.");
            this.lblInterations.AutoSize = true;
            this.lblInterations.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.lblInterations.Location = new Point(6, 0x60);
            this.lblInterations.Name = "lblInterations";
            this.lblInterations.Size = new Size(60, 15);
            this.lblInterations.TabIndex = 5;
            this.lblInterations.Text = "Iterations:";
            this.toolInterations.SetToolTip(this.lblInterations, manager.GetString("lblInterations.ToolTip"));
            this.cbTypes.DropDownStyle = ComboBoxStyle.DropDownList;
            this.cbTypes.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.cbTypes.FormattingEnabled = true;
            this.cbTypes.Items.AddRange(new object[] { 
                "All Types", "Weapons", "Hand to Hand", "Daggers", "Swords", "Great Swords", "Axes", "Great Axes", "Scythes", "Polearms", "Katana", "Great Katana", "Clubs", "Staves", "Ranged", "Instruments", 
                "Ammo&Misc", "Pet Items", "Fishing Gear", "Ammunition", "Grips", "Armor", "Shields", "Head", "Neck", "Body", "Hands", "Waist", "Legs", "Feet", "Back", "Earrings", 
                "Rings", "Scrolls", "White Magic", "Black Magic", "Songs", "Ninjutsu", "Summoning", "Dice", "Medicines", "Furnishings", "Materials", "Alchemy", "Woodworking", "Bonecraft", "Leathercraft", "Clothcraft", 
                "Goldsmithing", "Smithing", "Food", "Meals", "Meat & Eggs", "Seafood", "Vegetables", "Soups", "Breads & Rice", "Sweets", "Drinks", "Ingredients", "Fish", "Crystals", "Others", "Misc", 
                "Beast-Made", "Cards", "Ninja Tools", "Cursed Items", "Automatons"
             });
            this.cbTypes.Location = new Point(0x4c, 0x3d);
            this.cbTypes.MaxDropDownItems = 40;
            this.cbTypes.Name = "cbTypes";
            this.cbTypes.Size = new Size(0x99, 0x17);
            this.cbTypes.TabIndex = 3;
            this.lblTypes.AutoSize = true;
            this.lblTypes.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.lblTypes.Location = new Point(6, 0x40);
            this.lblTypes.Name = "lblTypes";
            this.lblTypes.Size = new Size(0x45, 15);
            this.lblTypes.TabIndex = 2;
            this.lblTypes.Text = "Item Types:";
            this.cbServers.DropDownStyle = ComboBoxStyle.DropDownList;
            this.cbServers.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.cbServers.FormattingEnabled = true;
            this.cbServers.Items.AddRange(new object[] { 
                "All Servers", "Odin", "Asura", "Bahamut", "Bismarck", "Carbuncle", "Cerberus", "Fenrir", "Lakshmi", "Leviathan", "Phoenix", "Quetzalcoatl", "Ragnarok", "Shiva", "Siren", "Sylph", 
                "Valefor"
             });
            this.cbServers.Location = new Point(0x4c, 0x1d);
            this.cbServers.MaxDropDownItems = 20;
            this.cbServers.Name = "cbServers";
            this.cbServers.Size = new Size(0x99, 0x17);
            this.cbServers.TabIndex = 0;
            this.lblServers.AutoSize = true;
            this.lblServers.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.lblServers.Location = new Point(30, 0x20);
            this.lblServers.Name = "lblServers";
            this.lblServers.Size = new Size(0x2d, 15);
            this.lblServers.TabIndex = 1;
            this.lblServers.Text = "Server:";
            this.btnItems.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.btnItems.Location = new Point(5, 0x1d);
            this.btnItems.Name = "btnItems";
            this.btnItems.Size = new Size(0x61, 0x17);
            this.btnItems.TabIndex = 4;
            this.btnItems.Text = "Get Items";
            this.toolGetItems.SetToolTip(this.btnItems, "Based on the selected Server and Item Types, each item will have a sales rate,\r\nand sale price determined from ffxiah.com.  Using this information, an expected\r\ninventory is created.");
            this.btnItems.UseVisualStyleBackColor = true;
            this.btnItems.Click += new EventHandler(this.btnItems_Click);
            this.gbItems.Controls.Add(this.dgvItems);
            this.gbItems.Font = new Font("Microsoft Sans Serif", 12f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.gbItems.Location = new Point(12, 0xad);
            this.gbItems.Name = "gbItems";
            this.gbItems.Size = new Size(810, 560);
            this.gbItems.TabIndex = 12;
            this.gbItems.TabStop = false;
            this.gbItems.Text = "Item Details";
            style.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.dgvItems.AlternatingRowsDefaultCellStyle = style;
            this.dgvItems.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.Fill;
            this.dgvItems.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.AllCells;
            style2.Alignment = DataGridViewContentAlignment.MiddleLeft;
            style2.BackColor = SystemColors.Control;
            style2.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            style2.ForeColor = SystemColors.WindowText;
            style2.SelectionBackColor = SystemColors.Highlight;
            style2.SelectionForeColor = SystemColors.HighlightText;
            style2.WrapMode = DataGridViewTriState.True;
            this.dgvItems.ColumnHeadersDefaultCellStyle = style2;
            this.dgvItems.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.AutoSize;
            this.dgvItems.Columns.AddRange(new DataGridViewColumn[] { this.clmItemId, this.clmName, this.clmAdjRate, this.clmInventory, this.clmBuy, this.clmSale, this.clmSalePrice });
            this.dgvItems.Location = new Point(6, 0x19);
            this.dgvItems.Name = "dgvItems";
            style3.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.dgvItems.RowsDefaultCellStyle = style3;
            this.dgvItems.Size = new Size(0x31c, 0x20f);
            this.dgvItems.TabIndex = 6;
            this.dgvItems.Visible = false;
            this.clmItemId.AutoSizeMode = DataGridViewAutoSizeColumnMode.AllCells;
            this.clmItemId.FillWeight = 50f;
            this.clmItemId.HeaderText = "ItemId";
            this.clmItemId.MinimumWidth = 0x42;
            this.clmItemId.Name = "clmItemId";
            this.clmItemId.ReadOnly = true;
            this.clmItemId.Width = 0x42;
            this.clmName.AutoSizeMode = DataGridViewAutoSizeColumnMode.AllCells;
            this.clmName.FillWeight = 87.05584f;
            this.clmName.HeaderText = "Name";
            this.clmName.MinimumWidth = 0x120;
            this.clmName.Name = "clmName";
            this.clmName.ReadOnly = true;
            this.clmName.Width = 0x120;
            this.clmAdjRate.AutoSizeMode = DataGridViewAutoSizeColumnMode.None;
            this.clmAdjRate.HeaderText = "Sell Rate";
            this.clmAdjRate.MinimumWidth = 0x56;
            this.clmAdjRate.Name = "clmAdjRate";
            this.clmAdjRate.Width = 0x56;
            this.clmInventory.AutoSizeMode = DataGridViewAutoSizeColumnMode.ColumnHeader;
            this.clmInventory.FillWeight = 75f;
            this.clmInventory.HeaderText = "Inventory";
            this.clmInventory.MinimumWidth = 80;
            this.clmInventory.Name = "clmInventory";
            this.clmInventory.ReadOnly = true;
            this.clmInventory.Width = 80;
            this.clmBuy.AutoSizeMode = DataGridViewAutoSizeColumnMode.None;
            this.clmBuy.HeaderText = "To Sell";
            this.clmBuy.MinimumWidth = 70;
            this.clmBuy.Name = "clmBuy";
            this.clmBuy.Width = 70;
            this.clmSale.AutoSizeMode = DataGridViewAutoSizeColumnMode.None;
            this.clmSale.HeaderText = "Restock";
            this.clmSale.MinimumWidth = 0x41;
            this.clmSale.Name = "clmSale";
            this.clmSale.Width = 0x41;
            this.clmSalePrice.AutoSizeMode = DataGridViewAutoSizeColumnMode.None;
            this.clmSalePrice.HeaderText = "Price";
            this.clmSalePrice.MinimumWidth = 80;
            this.clmSalePrice.Name = "clmSalePrice";
            this.clmSalePrice.Width = 80;
            this.gbFunctions.Controls.Add(this.txtTimer);
            this.gbFunctions.Controls.Add(this.btnEnable);
            this.gbFunctions.Controls.Add(this.lblMinutes);
            this.gbFunctions.Controls.Add(this.nudSimulate);
            this.gbFunctions.Controls.Add(this.lblSimu1);
            this.gbFunctions.Controls.Add(this.btnSimulate);
            this.gbFunctions.Controls.Add(this.btnAddTo);
            this.gbFunctions.Controls.Add(this.btnHelp);
            this.gbFunctions.Controls.Add(this.btnClean);
            this.gbFunctions.Controls.Add(this.btnExit);
            this.gbFunctions.Controls.Add(this.btnItems);
            this.gbFunctions.Font = new Font("Microsoft Sans Serif", 12f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.gbFunctions.Location = new Point(0x1fb, 12);
            this.gbFunctions.Name = "gbFunctions";
            this.gbFunctions.Size = new Size(0x13b, 0x9b);
            this.gbFunctions.TabIndex = 13;
            this.gbFunctions.TabStop = false;
            this.gbFunctions.Text = "Functions";
            this.txtTimer.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.txtTimer.Location = new Point(0x6d, 0x7b);
            this.txtTimer.Name = "txtTimer";
            this.txtTimer.Size = new Size(0x5f, 0x15);
            this.txtTimer.TabIndex = 0x10;
            this.txtTimer.TextAlign = HorizontalAlignment.Right;
            this.txtTimer.Visible = false;
            this.btnEnable.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.btnEnable.Location = new Point(0xd3, 0x7a);
            this.btnEnable.Name = "btnEnable";
            this.btnEnable.Size = new Size(0x60, 0x17);
            this.btnEnable.TabIndex = 15;
            this.btnEnable.Text = "Enable";
            this.btnEnable.UseVisualStyleBackColor = true;
            this.btnEnable.Visible = false;
            this.btnEnable.Click += new EventHandler(this.btnEnable_Click);
            this.lblMinutes.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.lblMinutes.Location = new Point(9, 0x7e);
            this.lblMinutes.Name = "lblMinutes";
            this.lblMinutes.Size = new Size(0x5d, 15);
            this.lblMinutes.TabIndex = 14;
            this.lblMinutes.Text = "Minutes: ";
            this.lblMinutes.TextAlign = ContentAlignment.MiddleRight;
            this.lblMinutes.Visible = false;
            this.nudSimulate.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.nudSimulate.Location = new Point(0x6d, 0x7c);
            bits = new int[4];
            bits[0] = 0x2760;
            this.nudSimulate.Maximum = new decimal(bits);
            bits = new int[4];
            bits[0] = 1;
            this.nudSimulate.Minimum = new decimal(bits);
            this.nudSimulate.Name = "nudSimulate";
            this.nudSimulate.Size = new Size(0x5f, 0x15);
            this.nudSimulate.TabIndex = 13;
            this.nudSimulate.TextAlign = HorizontalAlignment.Right;
            bits = new int[4];
            bits[0] = 60;
            this.nudSimulate.Value = new decimal(bits);
            this.nudSimulate.Visible = false;
            this.lblSimu1.AutoSize = true;
            this.lblSimu1.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Underline, GraphicsUnit.Point, 0);
            this.lblSimu1.Location = new Point(6, 0x60);
            this.lblSimu1.Name = "lblSimu1";
            this.lblSimu1.Size = new Size(0x79, 15);
            this.lblSimu1.TabIndex = 12;
            this.lblSimu1.Text = "On Going Simulation";
            this.lblSimu1.Visible = false;
            this.btnSimulate.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.btnSimulate.Location = new Point(0xd3, 60);
            this.btnSimulate.Name = "btnSimulate";
            this.btnSimulate.Size = new Size(0x62, 0x17);
            this.btnSimulate.TabIndex = 11;
            this.btnSimulate.Text = "Simulate";
            this.toolSimulate.SetToolTip(this.btnSimulate, manager.GetString("btnSimulate.ToolTip"));
            this.btnSimulate.UseVisualStyleBackColor = true;
            this.btnSimulate.Visible = false;
            this.btnSimulate.Click += new EventHandler(this.btnSimulate_Click);
            this.btnAddTo.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.btnAddTo.Location = new Point(0x6c, 60);
            this.btnAddTo.Name = "btnAddTo";
            this.btnAddTo.Size = new Size(0x60, 0x17);
            this.btnAddTo.TabIndex = 10;
            this.btnAddTo.Text = "Add To";
            this.toolAddTo.SetToolTip(this.btnAddTo, "The number within the 'Restock' column will be added\r\nto the current inventory.  The inventory will not decrease, \r\nonly increase.\r\n");
            this.btnAddTo.UseVisualStyleBackColor = true;
            this.btnAddTo.Visible = false;
            this.btnAddTo.Click += new EventHandler(this.btnAddTo_Click);
            this.btnHelp.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.btnHelp.Location = new Point(0x6d, 0x1d);
            this.btnHelp.Name = "btnHelp";
            this.btnHelp.Size = new Size(0x60, 0x17);
            this.btnHelp.TabIndex = 9;
            this.btnHelp.Text = "Help";
            this.toolHelp.SetToolTip(this.btnHelp, "Displays a help message.");
            this.btnHelp.UseVisualStyleBackColor = true;
            this.btnHelp.Click += new EventHandler(this.btnHelp_Click);
            this.btnClean.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.btnClean.Location = new Point(6, 60);
            this.btnClean.Name = "btnClean";
            this.btnClean.Size = new Size(0x60, 0x17);
            this.btnClean.TabIndex = 7;
            this.btnClean.Text = "Clean";
            this.toolClean.SetToolTip(this.btnClean, manager.GetString("btnClean.ToolTip"));
            this.btnClean.UseVisualStyleBackColor = true;
            this.btnClean.Visible = false;
            this.btnClean.Click += new EventHandler(this.btnClean_Click);
            this.btnExit.Font = new Font("Microsoft Sans Serif", 9f, FontStyle.Regular, GraphicsUnit.Point, 0);
            this.btnExit.Location = new Point(0xd3, 0x1d);
            this.btnExit.Name = "btnExit";
            this.btnExit.Size = new Size(0x62, 0x17);
            this.btnExit.TabIndex = 5;
            this.btnExit.Text = "Exit";
            this.toolExit.SetToolTip(this.btnExit, "Exits the program.");
            this.btnExit.UseVisualStyleBackColor = true;
            this.btnExit.Click += new EventHandler(this.btnExit_Click);
            this.toolGetItems.AutoPopDelay = 0x7530;
            this.toolGetItems.InitialDelay = 500;
            this.toolGetItems.IsBalloon = true;
            this.toolGetItems.ReshowDelay = 100;
            this.toolGetItems.ToolTipTitle = "Get Items";
            this.toolHelp.AutoPopDelay = 0x7530;
            this.toolHelp.InitialDelay = 500;
            this.toolHelp.IsBalloon = true;
            this.toolHelp.ReshowDelay = 100;
            this.toolHelp.ToolTipTitle = "Help";
            this.toolExit.AutoPopDelay = 0x7530;
            this.toolExit.InitialDelay = 500;
            this.toolExit.IsBalloon = true;
            this.toolExit.ReshowDelay = 100;
            this.toolExit.ToolTipTitle = "Exit";
            this.toolAddTo.AutoPopDelay = 0x7530;
            this.toolAddTo.InitialDelay = 500;
            this.toolAddTo.IsBalloon = true;
            this.toolAddTo.ReshowDelay = 100;
            this.toolAddTo.ToolTipTitle = "Add To";
            this.toolClean.AutoPopDelay = 0x7530;
            this.toolClean.InitialDelay = 500;
            this.toolClean.IsBalloon = true;
            this.toolClean.ReshowDelay = 100;
            this.toolClean.ToolTipTitle = "Clean";
            this.toolSimulate.AutoPopDelay = 0x7530;
            this.toolSimulate.InitialDelay = 500;
            this.toolSimulate.IsBalloon = true;
            this.toolSimulate.ReshowDelay = 100;
            this.toolSimulate.ToolTipTitle = "Simulate";
            this.toolInterations.AutoPopDelay = 0x7530;
            this.toolInterations.InitialDelay = 500;
            this.toolInterations.IsBalloon = true;
            this.toolInterations.ReshowDelay = 100;
            this.toolInterations.ToolTipTitle = "Interations";
            this.toolRetry.AutoPopDelay = 0x7530;
            this.toolRetry.InitialDelay = 500;
            this.toolRetry.IsBalloon = true;
            this.toolRetry.ReshowDelay = 100;
            this.toolRetry.ToolTipTitle = "Retries";
            this.tmrSimulate.Interval = 0x3e8;
            this.tmrSimulate.Tick += new EventHandler(this.tmrSimulate_Tick);
            base.AutoScaleDimensions = new SizeF(6f, 13f);
            base.AutoScaleMode = AutoScaleMode.Font;
            base.ClientSize = new Size(0x340, 0x2e6);
            base.Controls.Add(this.gbFunctions);
            base.Controls.Add(this.gbItems);
            base.Controls.Add(this.groupBox1);
            base.Controls.Add(this.gbDatabase);
            base.Icon = (Icon) manager.GetObject("$this.Icon");
            this.MaximumSize = new Size(0x350, 780);
            this.MinimumSize = new Size(0x350, 780);
            base.Name = "frmMain";
            this.Text = "DSP Auction House Loader Based On FFXIah History";
            this.toolInterations.SetToolTip(this, manager.GetString("$this.ToolTip"));
            this.gbDatabase.ResumeLayout(false);
            this.gbDatabase.PerformLayout();
            this.groupBox1.ResumeLayout(false);
            this.groupBox1.PerformLayout();
            this.nudRetries.EndInit();
            this.nudInterations.EndInit();
            this.gbItems.ResumeLayout(false);
            ((ISupportInitialize) this.dgvItems).EndInit();
            this.gbFunctions.ResumeLayout(false);
            this.gbFunctions.PerformLayout();
            this.nudSimulate.EndInit();
            base.ResumeLayout(false);
        }

        public static void Main()
        {
            frmMain mainForm = new frmMain();
            Application.Run(mainForm);
        }

        private void tmrSimulate_Tick(object sender, EventArgs e)
        {
            if (this.timeLeft == this.totalTime)
            {
                this.timeLeft = 0;
                this.btnSimulate_Click(this, e);
            }
            else
            {
                this.timeLeft += 0x3e8;
                int num = (this.totalTime - this.timeLeft) / 0x3e8;
                this.txtTimer.Text = TimeSpan.FromSeconds((double) num).ToString();
            }
        }
    }
}

